std::experimental::where_expression(3)

NAME
std::experimental::where_expression - std::experimental::where_expression

Synopsis
   Defined in header <experimental/simd>
   template < class M, class V > (parallelism TS v2)
   class where_expression;
   The class template where_expression abstracts the notion of selected elements of a
   given non-const object of arithmetic or data-parallel type. Selected elements
   signifies the elements data[i] for all i ∈ {j ∈ ℕ0 | j < M::size() ⋀
   mask[j]}.

Template parameters
   M - The mask type
   V - The value type M applies on
   Valid combinations of (M, V) are: (simd_mask<T, Abi>, simd<T, Abi>), (simd_mask<T,
   Abi>, simd_mask<T, Abi>), (bool, T).

Member functions
   operator= assigns to selected positions
               (public member function)
   operator+=
   operator-=
   operator*=
   operator/=
   operator%= compound operators
   operator&= (public member function)
   operator|=
   operator^=
   operator<<=
   operator>>=
   operator++ increment and decrement operators
   operator-- (public member function)
   copy_from loads from address to selected positions
               (public member function)

Example